#include "./PmergeMe.hpp"

void sort_pair(std::pair<int, int>* pairs, size_t len)
{
	for (size_t i = 0; i < len; i++)
	{
		if (pairs[i].second > pairs[i].first)
			std::swap(pairs[i].first, pairs[i].second);
	}
}

void sort_pairs(std::pair<int, int>* pairs, size_t len)
{
	if (len == 1)
		return;

	size_t count = 0;
	for (size_t i = 0; i < len - 1; i++)
	{
		if (pairs[i].first > pairs[i + 1].first)
		{
			std::swap(pairs[i], pairs[i + 1]);
			count++;
		}
	}
	
	if (count == 0)
		return;

	sort_pairs(pairs, len - 1);
}